Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 186400 - Remote vfat diskdrivers don't work
Summary: Remote vfat diskdrivers don't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-03-23 12:04 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHEA-2006-0443
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 15:11:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
anaconda-try-vfat-for-dd.patch (deleted)
2006-03-23 12:04 UTC, Bastien Nocera
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2006:0443 normal SHIPPED_LIVE anaconda enhancement and bug fix update 2006-07-19 19:40:00 UTC

Description Bastien Nocera 2006-03-23 12:04:58 UTC
1. Start the installation with dd=http://path/to/vfat-dd.img
vfat-dd.img being a VFAT driver disk
2. Error out with "Invalid argument"

The current HEAD code tries to mount loopback images as vfat in mountLoopback(),
but the RHEL3 code doesn't.

HEAD:
    /* FIXME: really, mountLoopback() should take a list of "valid"
    * filesystems for the specific type of image being mounted */
   if (doPwMount(filename, mntpoint, "iso9660", IMOUNT_RDONLY, NULL)) {
       if (doPwMount(filename, mntpoint, "ext2", IMOUNT_RDONLY, NULL)) {
           if (doPwMount(filename, mntpoint, "cramfs", IMOUNT_RDONLY, NULL)) {
             if (doPwMount(filename, mntpoint, "vfat", IMOUNT_RDONLY, NULL)) {

RHEL3:
    if (doPwMount(filename, mntpoint, "iso9660", 1,
                 0, NULL, NULL, 0)) {
       if (doPwMount(filename, mntpoint, "ext2", 1,
                     0, NULL, NULL, 0)) {
           if (doPwMount(filename, mntpoint, "cramfs", 1,
                         0, NULL, NULL, 0)) {
               logMessage("failed to mount loop: %s",
                          strerror(errno));

Patch attached.

Comment 1 Bastien Nocera 2006-03-23 12:04:59 UTC
Created attachment 126537 [details]
anaconda-try-vfat-for-dd.patch

Comment 2 Bastien Nocera 2006-03-23 12:06:50 UTC
Note that having the image on a local device such as a floppy instead will mount
the floppy as vfat successfully.

Comment 5 Bob Johnson 2006-04-11 16:16:58 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 6 David Lawrence 2006-04-25 16:49:03 UTC
Adding blocker bug 185486 and IBM group per request by John Jarvis.

Comment 7 David Lawrence 2006-04-27 17:16:08 UTC
Mistakenly added to IBM group, removing.

Comment 10 Red Hat Bugzilla 2006-07-20 15:11:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0443.html



Note You need to log in before you can comment on or make changes to this bug.